Subject: Re: gitweb bug: broken "next" and other links

From: Jakub Narebski <[email-masked]>
Date: Tue, 19 Feb 2008 00:32:36 +0100

Dnia niedziela 17. lutego 2008 11:51, Wincent Colaiuta napisał:
> El 15/2/2008, a las 22:16, Jakub Narebski escribió:
> >
> > WORKSFORME. I could not reproduce this error with the patch
> > below applied. I think that the previous version of patch should
> > give the same result; should also fix this bug.
> >
> > Besides, both "next" and "raw" links are generated using the same
> > mechanism. It would be strange if one of them broke and other didn't.
> 
> Just re-tested again, this time applying on top of 1.5.4.2 and  
> definitely doesn't work for me.
> 
> The "next" links are fixed, the "raw" links still exhibit the same  
> problem.
> 
> eg. here's a commitdiff page with a broken "raw" link from my  
> installation:
> 
> http://git.wincent.com/wikitext.git?a=commitdiff;h=03b8fda6594aa7e6fab3b95b66a4f3c178d6a156
> 
> And here's a shortlog page with now-working "next" links:
> 
> http://git.wincent.com/wikitext.git?a=shortlog;h=03b8fda6594aa7e6fab3b95b66a4f3c178d6a156

Could you reproduce this error with git.git repository (after any of
the two patches, but please tell which)? Please provide an URL to the
page, and fragment of HTML with wrong link.

BTW. I have just checked above link, and the "raw" link is most
certainly not broken. Were you using updated gitweb (with patch),
and reloaded page?

Junio, would you consider applying one of those patches? Any of them
should fix the bug; the second one is less intrusive.
-- 
Jakub Narebski
Poland